package com.pcloud.book.applet.dao;

import com.pcloud.book.applet.dto.AppletBannerTrendDTO;
import com.pcloud.book.applet.entity.AppletBanner;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

public interface AppletBannerDao extends BaseDao<AppletBanner> {

    /**
     * 获取最大排序值
     * @return
     */
    Integer getMaxSeq(Long agentId);

    List<AppletBannerTrendDTO> getBannerRecordTrendByHour(String createDate);

    List<AppletBannerTrendDTO> getSendMessageTrendByDay(String startDate, String endDate);
}
